> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get requests



## OpenAPI

````yaml /openapi/orders.json get /v1/crm/requests/{request_id}/
openapi: 3.0.3
info:
  title: Yume API — Аренда
  version: 1.0.0
  description: Управление арендой, заявками и заказами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/requests/{request_id}/:
    get:
      summary: Get requests
      operationId: root_retrieve
      parameters:
        - in: path
          name: request_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderRequestDetail'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    OrderRequestDetail:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        services:
          type: array
          items:
            $ref: '#/components/schemas/DetailOrderRequestService'
        actions:
          type: array
          items:
            $ref: '#/components/schemas/OrderRequestAction'
          readOnly: true
        discount_type:
          type: integer
        pending_inventories:
          type: integer
          readOnly: true
        inrent_inventories:
          type: integer
          readOnly: true
        completed_inventories:
          type: integer
          readOnly: true
        bonus_max:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        bonus_used:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        bonus_available:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        debt:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        deposit_total:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        deposit_held:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        deposit_due:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        type:
          allOf:
            - $ref: '#/components/schemas/Type36fEnum'
          title: Тип аренды
          minimum: -32768
          maximum: 32767
        status:
          allOf:
            - $ref: '#/components/schemas/Status3e1Enum'
          title: Статус
          minimum: 0
          maximum: 32767
        plus_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          nullable: true
          title: Идентификатор Plus
        unique_id:
          type: string
          nullable: true
          title: Код аренды
          maxLength: 64
        rent_start:
          type: string
          format: date-time
          title: Начало аренды
        rent_end:
          type: string
          format: date-time
          title: Конец аренды
        rent_fact_start:
          type: string
          format: date-time
          nullable: true
          title: Факт выдачи
        rent_fact_end:
          type: string
          format: date-time
          nullable: true
          title: Факт возврата
        autorenewal:
          type: boolean
          title: Автопродление
        autowithdraw:
          type: boolean
          title: Автосписание
        duriation:
          type: string
          nullable: true
          title: Длительность
        initial_duriation:
          type: string
          nullable: true
        counting_duration:
          type: string
          nullable: true
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_discount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_accrued:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_inventory:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_inventory_discount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_service:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_service_discount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_delivery:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Стоимость доставки
        price_referral:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Вознаграждение агента
        tax_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          title: Налог, %
        tax_included:
          type: boolean
          title: Налог включён в цену
        price_tax:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        discount_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        discount_inventory_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Скидка на инвентарь
        discount_service_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        discount_combine:
          type: boolean
          title: Суммировать скидки
        additional_discount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        payment_status:
          allOf:
            - $ref: '#/components/schemas/PaymentStatusEnum'
          title: Статус оплаты
          minimum: 0
          maximum: 32767
        paid_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        penalty_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        penalty_auto:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        penalty_custom:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Штраф вручную
        penalty_duriation:
          type: string
          nullable: true
          title: Длительность просрочки
        penalty_step_duriation:
          type: string
          title: Шаг начисления штрафа
        penalty_disabled:
          type: boolean
          title: Штраф отключён
        extra: {}
        deleted:
          type: boolean
          title: Удалено
        active:
          type: boolean
        tenant:
          type: integer
        client:
          type: integer
          nullable: true
          title: Клиент
        discount:
          type: integer
          nullable: true
          title: Скидка
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
        rental_point_return:
          type: integer
          nullable: true
          title: Точка возврата
        bag:
          type: string
          format: uuid
          nullable: true
          title: Корзина
        default_tarif_period:
          type: integer
          nullable: true
          title: Период тарифа по умолчанию
      required:
        - actions
        - bonus_available
        - bonus_max
        - bonus_used
        - completed_inventories
        - created_at
        - debt
        - deposit_due
        - deposit_held
        - deposit_total
        - discount_type
        - id
        - inrent_inventories
        - pending_inventories
        - rent_end
        - rent_start
        - services
        - updated_at
    DetailOrderRequestService:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        service:
          $ref: '#/components/schemas/Service'
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        tarif_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Цена тарифа
        tarif_duration:
          type: string
          title: Длительность тарифа
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало периода
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец периода
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_tax:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price_discount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        info:
          type: string
          nullable: true
          title: Описание
        extra:
          title: Доп. данные
        tenant:
          type: integer
        request:
          type: integer
          nullable: true
          title: Аренда
        client:
          type: integer
          nullable: true
          title: Клиент
        request_inventory:
          type: integer
          nullable: true
          title: Позиция аренды
        worker:
          type: integer
          nullable: true
          title: Исполнитель
        tarif:
          type: integer
          nullable: true
          title: Тариф
      required:
        - created_at
        - id
        - service
        - updated_at
    OrderRequestAction:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        user:
          type: integer
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        type:
          allOf:
            - $ref: '#/components/schemas/TypeFb2Enum'
          minimum: -32768
          maximum: 32767
        inventories:
          type: array
          items:
            type: integer
          readOnly: true
      required:
        - created_at
        - id
        - inventories
        - type
        - user
    Type36fEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - За период
        * `1` - Посуточно
    Status3e1Enum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      type: integer
      description: |-
        * `0` - Запрос
        * `1` - Забронировано
        * `2` - В аренде
        * `3` - Отменено
        * `4` - Завершено
        * `5` - Должник
        * `6` - Просрочка
    PaymentStatusEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - Ожидается оплата
        * `1` - Оплата произведена
        * `2` - Частичная оплата
    Service:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        deleted:
          type: boolean
          readOnly: true
        tarifs:
          type: array
          items:
            $ref: '#/components/schemas/ServiceTarifs'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          nullable: true
          title: Название
          maxLength: 255
        type:
          allOf:
            - $ref: '#/components/schemas/ServiceTypeEnum'
          title: Тип
          minimum: 0
          maximum: 2147483647
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        bonus:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          title: Бонусы
        extra:
          title: Доп. данные
        slug:
          type: string
          nullable: true
          title: Адрес страницы
          maxLength: 50
          pattern: ^[-a-zA-Z0-9_]+$
        published:
          type: boolean
          title: Опубликовано
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        tenant:
          type: integer
        category:
          type: integer
          nullable: true
          title: Категория
        discount:
          type: integer
          nullable: true
          title: Скидка
      required:
        - created_at
        - deleted
        - id
        - tarifs
        - updated_at
    TypeFb2Enum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
      type: integer
      description: |-
        * `0` - Бронь
        * `1` - Выдача
        * `2` - Приём
        * `3` - Отмена
        * `4` - Архив
        * `5` - Сборка
        * `6` - Создание
        * `7` - Забор доставки
        * `8` - Выдача доставки
    DisabledEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - удалить
        * `1` - Архив
        * `2` - Списано
    NullEnum:
      enum:
        - null
    ServiceTarifs:
      type: object
      description: >-
        Тарифы услуг переехали в общую таблицу, но интерфейс услуги знает поле
        `duriation`.
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        tenant:
          type: integer
        service:
          type: integer
        name:
          type: string
          title: Название
          maxLength: 255
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        duriation:
          type: integer
          nullable: true
        one_time_payment:
          type: boolean
          title: Разовая оплата
        published:
          type: boolean
          title: Опубликовано
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          title: Порядок
      required:
        - created_at
        - id
        - service
        - updated_at
    ServiceTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
      type: integer
      description: |-
        * `0` - Доставка
        * `1` - Не выбрано
        * `2` - Доставка обратно
        * `3` - Доставка туда и обратно
        * `4` - Сервис
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````